import 'package:flutter/material.dart';
import 'package:flutter/physics.dart';
import 'package:flutter_bouncy/sliver_bouncy_list.dart';

class BouncyList extends StatelessWidget {
  final SliverChildDelegate delegate;
  final bool reverse;
  final ScrollController controller;
  final SpringDescription springDescription;

  BouncyList({
    @required this.delegate,
    this.reverse = false,
    this.springDescription,
    this.controller,
  });

  @override
  Widget build(BuildContext context) {
    return CustomScrollView(
      reverse: reverse,
      controller: controller,
      slivers: [
        SliverBouncyList(
          delegate: delegate,
          springDescription: springDescription,
        ),
      ],
    );
  }
}
